PHP Handbuch
Zurück |  | Weiter

# filter_var

(no version information, might be only in CVS)

filter_var -- Filters a variable with a specified filter

## Beschreibung

mixed filter_var ( mixed variable [, int filter [, mixed options]] )

## Parameter Liste

`variable`

  Value to filter, arrays are filtered recursively.

`filter`

  ID of a filter to use. Defaults to `FILTER_SANITIZE_STRING`.

`options`

  Associative array of options or bitwise disjunction of flags. If filter accepts options, flags can be provided in "flags" field of array. For the "callback" filter, callback type should be passed.

## Rückgabewerte

Returns the filtered data, or `FALSE` if the filter fails.

## Beispiele

Beispiel 1. A filter_var() example

`<?php var_dump(filter_var('bob@example.com', FILTER_VALIDATE_EMAIL)); var_dump(filter_var('example.com', FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED)); ?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    string(15) "bob@example.com"
    bool(false)

## Siehe auch

filter_var_array()
filter_input()
filter_input_array()
Informationen über den Callback-Typ

Zurück | Zum Anfang | Weiter
filter_var_array | Nach oben | InterBase-Funktionen